
QGIS Application - Bug report #5183

Scale bar has wrong units for GeoJSON layer

2012-03-15 11:11 AM - Tony Bigbee

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 14926

Description

If I import a GeoJSON file as a layer in a new project, the scale bar shows units as "CM" and the bar length/distance does not correctly

map to features in the map.

Using the Measure Line GUI tool does give the correct distances (in meters/kilometers).

I have set project properties layer units to meters and the CRS to WGS 84 / EPSG:4326.

The layer property also has EPGS:4326 - WGS 84 as the CRS.

When I change the layer style unit to map (from Millimeter), the a diamond is then displayed (the polygon in the file is a rectangle) in

black.  This behavior does not make sense.

I've attached a sample GeoJSON file.  The cooordinates are expressed as degrees in decimal format.  The GeoJSON spec describes a

couple of ways of specifying the CRS. Neither way changes QGIS behavior.  

http://www.geojson.org/geojson-spec.html#coordinate-reference-system-objects

Using 1.7.4-Wroclaw 411aff6 on Windows 64-bit.

History

#1 - 2012-03-31 07:24 PM - Tony Bigbee

This is not a bug--please close.   Layers must be transformed/reprojected via Layer:Save As...

Adding this note as another userid as I am unable to login via my original userid.

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-12-08 08:46 AM - Médéric RIBREUX

- Resolution set to not reproducable

- Status changed from Open to Closed

Hello, bug triage...

2024-03-20 1/2

http://www.geojson.org/geojson-spec.html#coordinate-reference-system-objects


well, if this is not a bug, I am pleased to close it !

Files

test.geojson 482 Bytes 2012-03-15 Tony Bigbee
